﻿@using AdminCaja.Areas.Admin.Models
@model PaggedData<SectionListViewModel>

<!-- ============================================================== -->
<!-- Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Administrador de secciones</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="index.html">Inicio </a></li>
            <li class="breadcrumb-item active"><a href="secciones.html">Secciones</a></li>
        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
    <!-- column -->
    <div class="col-lg-12 help-content">
        <div id="" class="card wow slideInRight" data-wow-delay=".3s" data-wow-offset="300">
            <div class="perfil-head"></div>
            <dir class="row">
                <div class="col-lg-8"></div>
                <div class="col-lg-4">
                    <p>@Html.ActionLink("Agregar sección", "NewSectionListItem", null, new { @class = "btn btn-success", data_modal="popup" })</p>
                </div>
            </dir>
            <div class="card-block">
                <div class="table-responsive">
                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-end">
                            <li class="page-item res-per-page">Página <strong>@Model.CurrentPage/@Model.Pages</strong></li>
                            <li class="page-item res-per-page">Resultados por página</li>
                            <li class="page-item ">
                                <select name="resurlt" form="">
                                    <option value="10">10</option>
                                    <option value="20">20</option>
                                    <option value="30">30</option>
                                    <option value="40">40</option>
                                </select>
                            </li>
                        </ul>
                    </nav>
                    <br>
                    <table>
                        <thead>
                            <tr>
                                <th scope="col">ID</th>
                                <th scope="col">Título</th>
                                <th scope="col">Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Data)
                            {
                                <tr>
                                    <td data-label="Tipo">@item.Id</td>
                                    <td data-label="Título">@item.Name</td>
                                    <td class="comandos" data-label="Acciones">
                                        <a href="/Admin/Section/editsection/@item.Id" class="btn btn-export">Editar</a>
                                        @if (!item.IsFixed)
                                        {
                                            <a href="#" data-toggle="modal" data-target="#eliminar" class="btn btn-export">Eliminar</a>
                                        }
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                    @Html.Partial("_paggedBar", Model)
                </div>
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->
<!-- ============================================================== -->
@section  scripts
{
    <script>
        function modalFormExecute(key, result) {
            window.location.href = result.url;
        }
    </script>
}